Bug 26541 - Apply discount button misleading
Summary: Apply discount button misleading
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on: 24081
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-25 17:41 UTC by Kelly McElligott
Modified: 2020-10-27 03:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26541: Remove percent sign from discount button (2.26 KB, patch)
2020-09-25 21:12 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26541: Remove percent sign from discount button (2.29 KB, patch)
2020-09-25 21:29 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26541: Remove percent sign from discount button (2.34 KB, patch)
2020-09-26 08:52 UTC, David Nind
Details | Diff | Splinter Review
Bug 26541: Remove percent sign from discount button (2.40 KB, patch)
2020-09-26 17:13 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2020-09-25 17:41:32 UTC
In 20.05 there is a button that will allow libraries to apply a discount to a fine/charge.  The image of the button shows a % percentage sign, however, this is not how the discount is applied in Koha, it is applied as a $ dollar amount.  Can we have either the icon of the % removed or replaced - as to not confuse users?

Thanks
Comment 1 Katrin Fischer 2020-09-25 18:49:34 UTC
I had the same misunderstanding about the button the first time, I think a change would make sense. Please just avoid $ and similar for symbols as these don't apply to all countries.
Comment 2 Kelly McElligott 2020-09-25 20:57:24 UTC
Oh yes Katrin - good point.  So just removing of the % and keeping the Description works!
Comment 3 Andrew Fuerste-Henry 2020-09-25 21:12:00 UTC
Created attachment 110774 [details] [review]
Bug 26541: Remove percent sign from discount button

To test:
1 - go to borrower account, apply manual fee
2 - go to Transactions tab and see that fee has "% Apply discount" button
3 - apply patch, restart, reload page
4 - button just says "Apply discount"
Comment 4 Andrew Fuerste-Henry 2020-09-25 21:27:10 UTC
I went with no icon as I really couldn't think of what might be helpful, but am certainly open to something else. There's a really nice Live Long and Prosper: https://fontawesome.com/v4.7.0/icons/
Comment 5 Andrew Fuerste-Henry 2020-09-25 21:29:09 UTC
Created attachment 110775 [details] [review]
Bug 26541: Remove percent sign from discount button

Realized I'd left a stray tag, fixed.

To test:
1 - go to borrower account, apply manual fee
2 - go to Transactions tab and see that fee has "% Apply discount" button
3 - apply patch, restart, reload page
4 - button just says "Apply discount"
Comment 6 David Nind 2020-09-26 08:52:30 UTC
Created attachment 110778 [details] [review]
Bug 26541: Remove percent sign from discount button

Realized I'd left a stray tag, fixed.

To test:
1 - go to borrower account, apply manual fee
2 - go to Transactions tab and see that fee has "% Apply discount" button
3 - apply patch, restart, reload page
4 - button just says "Apply discount"

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 Katrin Fischer 2020-09-26 17:13:10 UTC
Created attachment 110782 [details] [review]
Bug 26541: Remove percent sign from discount button

Realized I'd left a stray tag, fixed.

To test:
1 - go to borrower account, apply manual fee
2 - go to Transactions tab and see that fee has "% Apply discount" button
3 - apply patch, restart, reload page
4 - button just says "Apply discount"

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Jonathan Druart 2020-09-28 14:12:41 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Lucas Gass 2020-10-20 13:29:36 UTC
backported to 20.05.x for 20.05.05
Comment 10 Aleisha Amohia 2020-10-27 03:29:57 UTC
missing dependencies, not backported to 19.11.x